This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 732068 - (CVE-2011-2940) CVE-2011-2940 stunnel: heap corruption flaw in 4.4x leads to remote DoS and possible code execution
CVE-2011-2940 stunnel: heap corruption flaw in 4.4x leads to remote DoS and p...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110818,reported=20110819,sou...
: Security
Depends On: 732069
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 13:05 EDT by Vincent Danen
Modified: 2015-08-24 11:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: stunnel 4.42
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 11:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-08-19 13:05:48 EDT
Stunnel 4.42 fixes a heap corruption vulnerability that may be exploited to possibly perform a remote DoS or remote code execution [1].  The upstream changelog indicates that only 4.40 and 4.41 are affected.

Fedora 16 has a candidate build of 4.41, which would introduce this flaw; it should be updated to 4.42 immediately.

[1] http://stunnel.org/?page=sdf_ChangeLog
Comment 1 Vincent Danen 2011-08-19 13:06:29 EDT
Created stunnel tracking bugs for this issue

Affects: fedora-rawhide [bug 732069]
Comment 2 Vincent Danen 2011-08-19 16:43:44 EDT
This was assigned the name CVE-2011-2940.
Comment 3 Vincent Danen 2011-08-19 16:48:10 EDT
Statement:

Not vulnerable.  This issue did not affect the versions of stunnel as shipped with Red Hat Enterprise Linux 4, 5, or 6.

Note You need to log in before you can comment on or make changes to this bug.